Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Audio

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Audio

Enclosing class:
  TdApi

public static final class TdApi.Audio extends TdApi.Object
Describes an audio file. Audio is usually in MP3 or M4A format.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Minithumbnail`
`albumCoverMinithumbnail`
The minithumbnail of the album cover; may be null.
`TdApi.Thumbnail`
`albumCoverThumbnail`
The thumbnail of the album cover in JPEG format; as defined by the sender.
`TdApi.File`
`audio`
File containing the audio.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the audio, in seconds; as defined by the sender.
`TdApi.Thumbnail[]`
`externalAlbumCovers`
Album cover variants to use if the downloaded audio file contains no album cover.
`String`
`fileName`
Original name of the file; as defined by the sender.
`String`
`mimeType`
The MIME type of the file; as defined by the sender.
`String`
`performer`
Performer of the audio; as defined by the sender.
`String`
`title`
Title of the audio; as defined by the sender.

## Constructor Summary

Constructors
Constructor
Description
`Audio()`
Describes an audio file.
`Audio(int duration, String title, String performer, String fileName, String mimeType, TdApi.Minithumbnail albumCoverMinithumbnail, TdApi.Thumbnail albumCoverThumbnail, TdApi.Thumbnail[] externalAlbumCovers, TdApi.File audio)`
Describes an audio file.
`Audio(DataInput input)`
Describes an audio file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public int duration
Duration of the audio, in seconds; as defined by the sender.

### title

public String title
Title of the audio; as defined by the sender.

### performer

public String performer
Performer of the audio; as defined by the sender.

### fileName

public String fileName
Original name of the file; as defined by the sender.

### mimeType

public String mimeType
The MIME type of the file; as defined by the sender.

### albumCoverMinithumbnail

public TdApi.Minithumbnail albumCoverMinithumbnail
The minithumbnail of the album cover; may be null.

### albumCoverThumbnail

public TdApi.Thumbnail albumCoverThumbnail
The thumbnail of the album cover in JPEG format; as defined by the sender. The full size thumbnail is supposed to be extracted from the downloaded audio file; may be null.

### externalAlbumCovers

public TdApi.Thumbnail[] externalAlbumCovers
Album cover variants to use if the downloaded audio file contains no album cover. Provided thumbnail dimensions are approximate.

### audio

public TdApi.File audio
File containing the audio.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Audio

public Audio()
Describes an audio file. Audio is usually in MP3 or M4A format.

### Audio

public Audio(int duration, String title, String performer, String fileName, String mimeType, TdApi.Minithumbnail albumCoverMinithumbnail, TdApi.Thumbnail albumCoverThumbnail, TdApi.Thumbnail[] externalAlbumCovers, TdApi.File audio)
Describes an audio file. Audio is usually in MP3 or M4A format.

Parameters:
  `duration` - Duration of the audio, in seconds; as defined by the sender.
  `title` - Title of the audio; as defined by the sender.
  `performer` - Performer of the audio; as defined by the sender.
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - The MIME type of the file; as defined by the sender.
  `albumCoverMinithumbnail` - The minithumbnail of the album cover; may be null.
  `albumCoverThumbnail` - The thumbnail of the album cover in JPEG format; as defined by the sender. The full size thumbnail is supposed to be extracted from the downloaded audio file; may be null.
  `externalAlbumCovers` - Album cover variants to use if the downloaded audio file contains no album cover. Provided thumbnail dimensions are approximate.
  `audio` - File containing the audio.

### Audio

public Audio(DataInput input) throws IOException
Describes an audio file. Audio is usually in MP3 or M4A format.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`